/*
 * Class TRACING_SETTING
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_159 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_159 [] = {0xFF01,1551,158,0xFFFF};
static const EIF_TYPE_INDEX egt_2_159 [] = {0xFF01,158,0xFFFF};
static const EIF_TYPE_INDEX egt_3_159 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_159 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_159 [] = {0xFF01,158,0xFFFF};
static const EIF_TYPE_INDEX egt_6_159 [] = {0xFF01,158,0xFFFF};
static const EIF_TYPE_INDEX egt_7_159 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_159 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_159 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_159 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_159 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_159 [] = {0xFF01,158,0xFFFF};


static const struct desc_info desc_159[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_159), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_159), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_159), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_159), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_159), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_159), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_159), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_159), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_159), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_159), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_159), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_159), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x013D /*158*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_159), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4077, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4078, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4079, 0xFFFFFFFF},
};
void Init159(void)
{
	IDSC(desc_159, 0, 158);
	IDSC(desc_159 + 1, 1, 158);
	IDSC(desc_159 + 32, 110, 158);
}


#ifdef __cplusplus
}
#endif
